io.vertx.rxjava.ext.shell.registry

## Class CommandRegistry

- java.lang.Object
- - io.vertx.rxjava.ext.shell.registry.CommandRegistry

-     public class CommandRegistry
      extends Object

  A registry that contains the commands known by a shell.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandRegistry(CommandRegistry delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Completion completion)` Perform completion, the completion argument will be notified of the completion progress.
    `void` | `createProcess(List<CliToken> line, Handler<AsyncResult<Process>> handler)` Try to create a process from the command line tokens.
    `void` | `createProcess(String line, Handler<AsyncResult<Process>> handler)` Parses a command line and try to create a process.
    `rx.Observable<Process>` | `createProcessObservable(List<CliToken> line)` Try to create a process from the command line tokens.
    `rx.Observable<Process>` | `createProcessObservable(String line)` Parses a command line and try to create a process.
    `static CommandRegistry` | `get(Vertx vertx)` Get the registry for the Vert.x instance
    `Object` | `getDelegate()`
    `static CommandRegistry` | `newInstance(CommandRegistry arg)`
    `void` | `registerCommand(Command command)` Register a command
    `void` | `registerCommand(Command command, Handler<AsyncResult<CommandRegistration>> doneHandler)`
    `rx.Observable<CommandRegistration>` | `registerCommandObservable(Command command)`
    `List<CommandRegistration>` | `registrations()`
    `void` | `unregisterCommand(String commandName)` Unregister a command.
    `void` | `unregisterCommand(String commandName, Handler<AsyncResult<Void>> doneHandler)`
    `rx.Observable<Void>` | `unregisterCommandObservable(String commandName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandRegistry

          public CommandRegistry(CommandRegistry delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### get

          public static CommandRegistry get(Vertx vertx)

      Get the registry for the Vert.x instance
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the registry

    - #### registrations

          public List<CommandRegistration> registrations()

      Returns:
        the current command registrations

    - #### createProcess

          public void createProcess(String line,
                                    Handler<AsyncResult<Process>> handler)

      Parses a command line and try to create a process.
      Parameters:
        `line` - the command line to parse
        `handler` - the handler to be notified about process creation

    - #### createProcessObservable

          public rx.Observable<Process> createProcessObservable(String line)

      Parses a command line and try to create a process.
      Parameters:
        `line` - the command line to parse
      Returns:

    - #### createProcess

          public void createProcess(List<CliToken> line,
                                    Handler<AsyncResult<Process>> handler)

      Try to create a process from the command line tokens.
      Parameters:
        `line` - the command line tokens
        `handler` - the handler to be notified about process creation

    - #### createProcessObservable

          public rx.Observable<Process> createProcessObservable(List<CliToken> line)

      Try to create a process from the command line tokens.
      Parameters:
        `line` - the command line tokens
      Returns:

    - #### complete

          public void complete(Completion completion)

      Perform completion, the completion argument will be notified of the completion progress.
      Parameters:
        `completion` - the completion object

    - #### registerCommand

          public void registerCommand(Command command)

      Register a command
      Parameters:
        `command` - the command to register

    - #### registerCommand

          public void registerCommand(Command command,
                                      Handler<AsyncResult<CommandRegistration>> doneHandler)

    - #### registerCommandObservable

          public rx.Observable<CommandRegistration> registerCommandObservable(Command command)

    - #### unregisterCommand

          public void unregisterCommand(String commandName)

      Unregister a command.
      Parameters:
        `commandName` - the command name

    - #### unregisterCommand

          public void unregisterCommand(String commandName,
                                        Handler<AsyncResult<Void>> doneHandler)

    - #### unregisterCommandObservable

          public rx.Observable<Void> unregisterCommandObservable(String commandName)

    - #### newInstance

          public static CommandRegistry newInstance(CommandRegistry arg)

Copyright © 2015. All rights reserved.